#$NAVDVDFilePath = 'B:\NAV 2015\NAV.8.0.40938.IS.DVD'
$NAVDVDFilePath = '\\CLOUDSTORAGE\Dropbox\NAV 2015\NAV.8.0.40938.IS.DVD'
$NotToCopy = ('Header.png','About.png','Splash.png')
function Copy-LatestFile
{
    [CmdletBinding()]
    param (
    [parameter(Mandatory=$true)]
    [string]$SourceDirectoryPath,
    [parameter(Mandatory=$true)]
    [string]$DestinationDirectoryPath
    )

    Write-Verbose "Running file copy command..."
    $sourcefiles = Get-ChildItem $SourceDirectoryPath -Recurse -File
    $destfiles = Get-ChildItem $DestinationDirectoryPath -Recurse -File

    foreach ($sourcefile in $sourcefiles)
    {
        $copyfile = $false
        foreach($destfile in $destfiles)
        {
            if ($destfile.Name -eq $sourcefile.Name)
            {
                $copyfile = $true
                break
            }
        }
        if (!($copyfile) -or ($NotToCopy -match $sourcefile.BaseName))
        {
          write-verbose "not copying $sourcefile..."
        }
        else
        {
            write-verbose "copying $sourcefile..."
            Copy-Item $sourcefile.FullName $destfile.FullName -Force
        }
    }
}


Write-Verbose "Copying RTC Update..."
$ClientKBFolder = Join-Path $NAVDVDFilePath 'RoleTailoredClient\program files\Microsoft Dynamics NAV\80\RoleTailored Client'
$navInstallationDirectory = Join-Path ${env:ProgramFiles(x86)} 'Microsoft Dynamics NAV\80\RoleTailored Client'
if (Test-Path $navInstallationDirectory)
{
    Copy-LatestFile -SourceDirectoryPath $ClientKBFolder -DestinationDirectoryPath $navInstallationDirectory
}
Write-Verbose "Copying Office 14 Update..."
$ClientKBFolder = Join-Path $NAVDVDFilePath 'Outlook\program files\Microsoft Dynamics NAV\80\OutlookAddin'
$navInstallationDirectory = Join-Path ${env:ProgramFiles(x86)} 'Microsoft Office\Office14'
if (Test-Path $navInstallationDirectory)
{
    Copy-LatestFile -SourceDirectoryPath $ClientKBFolder -DestinationDirectoryPath $navInstallationDirectory
}
Write-Verbose "Copying Office 15 Update..."
$ClientKBFolder = Join-Path $NAVDVDFilePath 'Outlook\program files\Microsoft Dynamics NAV\80\OutlookAddin'
$navInstallationDirectory = Join-Path ${env:ProgramFiles(x86)} 'Microsoft Office\Office15'
if (Test-Path $navInstallationDirectory)
{
    Copy-LatestFile -SourceDirectoryPath $ClientKBFolder -DestinationDirectoryPath $navInstallationDirectory
}
