#$NAVDVDFilePath = 'B:\NAV 2015\NAV.8.0.40938.IS.DVD'
$NAVDVDFilePath = '\\CLOUDSTORAGE\Dropbox\NAV 2015\NAV.8.0.40938.IS.DVD'
$NotToCopy = @('Tenants.config','CustomSettings.config')
Write-Verbose "Copying NAV Server Update..."
$ClientKBFolder = Join-Path $NAVDVDFilePath 'ServiceTier\program files\Microsoft Dynamics NAV\80\Service'
$navInstallationDirectory = Join-Path ${env:ProgramFiles} 'Microsoft Dynamics NAV\80\Service'
if (Test-Path $navInstallationDirectory)
{
    Import-Module (Join-Path $ClientKBFolder 'Microsoft.Dynamics.Nav.Management.dll') -DisableNameChecking | Out-Null
    $RunningInstances = Get-NAVServerInstance | Where-Object { $_.State -eq "Running" }
    Write-Verbose "Stopping Server Instances..."
    Get-NAVServerInstance | Where-Object { $_.State -eq "Running" } | Set-NAVServerInstance -Stop
    Start-Sleep -s 5

    Write-Verbose "Running file copy command..."
    Get-ChildItem -Path $ClientKBFolder | % {Copy-Item $_.FullName $navInstallationDirectory -Recurse -Force -Exclude $NotToCopy}

    Write-Verbose "Done updating files..."
    foreach ($RunningInstance in $RunningInstances)
    {
        $InstanceName = $RunningInstance.ServerInstance.ToString()
        Write-Verbose "Starting Server Instance $InstanceName"
        Get-NAVServerInstance -ServerInstance $InstanceName | Set-NAVServerInstance -Start
    }
}

