#$NAVDVDFilePath = 'B:\NAV 2015\NAV.8.0.40938.IS.DVD'
$NAVDVDFilePath = '\\CLOUDSTORAGE\Dropbox\NAV 2015\NAV.8.0.40938.IS.DVD'
$NotToCopy = ('web.config','instanceweb.config','Header.png','About.png','Splash.png')
function Copy-LatestFile
{
    [CmdletBinding()]
    param (
    [parameter(Mandatory=$true)]
    [string]$SourceDirectoryPath,
    [parameter(Mandatory=$true)]
    [string]$DestinationDirectoryPath
    )
    Write-Verbose "Running file copy command..."
    $sourcefiles = Get-ChildItem $SourceDirectoryPath -Recurse
    $destfiles = Get-ChildItem $DestinationDirectoryPath -Recurse
    foreach ($sourcefile in $sourcefiles)
    {
        $copyfile = $false
        foreach($destfile in $destfiles)
        {
            if ($destfile.Name -eq $sourcefile.Name)
            {
                $copyfile = $true
                break
            }
        }
        if (!($copyfile) -or ($NotToCopy -match $sourcefile.BaseName))
        {
            write-verbose "not copying $sourcefile..."
        }
        else
        {
            write-verbose "copying $sourcefile..."
            Copy-Item $sourcefile.FullName $destfile.FullName -Force
        }
    }
}
Write-Verbose "Copying Web Client Update..."
$ClientKBFolder = Join-Path $NAVDVDFilePath 'WebClient\Microsoft Dynamics NAV\80\Web Client'
$navInstallationDirectory = Join-Path ${env:ProgramFiles} 'Microsoft Dynamics NAV\80\Web Client'
if (Test-Path $navInstallationDirectory)
{
    Copy-LatestFile -SourceDirectoryPath $ClientKBFolder -DestinationDirectoryPath $navInstallationDirectory
}
